package com.fjhx.customer.mapper.xiaoman;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.xiaoman.po.XiaomanConfig;
import com.fjhx.customer.entity.xiaoman.po.XiaomanCustomer;
import com.fjhx.customer.entity.xiaoman.vo.XiaomanConfigVo;
import com.fjhx.customer.entity.xiaoman.vo.XiaomanCustomerVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 小满配置表 Mapper 接口
 * </p>
 *
 */
public interface XiaomanConfigMapper extends BaseMapper<XiaomanConfig> {
    /**
     * 小满配置表列表
     */
    List<XiaomanConfigVo> getList(@Param("ew") IWrapper<XiaomanConfig> wrapper);

    /**
     * 小满配置表分页
     */
    Page<XiaomanConfigVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<XiaomanConfig> wrapper);
}
