package com.fjhx.sale.entity.after.dto;

import com.fjhx.file.entity.ObsFile;
import com.fjhx.sale.entity.after.po.AfterSales;
import com.fjhx.sale.entity.after.po.AfterSalesDetail;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 售后管理新增编辑入参实体
 *
 * @author
 * @since 2024-04-07
 */
@Getter
@Setter
public class AfterSalesDto extends AfterSales {

    List<AfterSalesDetail> afterSalesDetailList;

    /**
     * 附件列表
     */
    private List<ObsFile> fileList;

}
